* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html {
    font-size: 10px;
    font-family: 'Inter';
    scroll-behavior: smooth;
}

a {
    text-decoration: none;
}

.container {
    min-height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.navbar-brand {
    font-size: 2.5rem !important;
}

.navbar-dark .navbar-brand {
    color: #fff;
    font-family: 'Inter';
}

.navbar-dark .navbar-nav .nav-link {
    color: rgba(255, 255, 255, .5);
    font-size: large;
    padding: 10px;
}

img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

p {
    color: black;
    font-size: 1.4rem;
    margin-top: 5px;
    line-height: 2.5rem;
    font-weight: 300;
    letter-spacing: .05rem;
}

.section-title {
    font-size: 3rem;
    font-weight: 300;
    color: black;
    margin-bottom: 10px;
    text-transform: uppercase;
    letter-spacing: .2rem;
    text-align: center;
}

.cta {
    display: inline-block;
    padding: 10px 20px;
    color: #4F6074;
    font-weight: bold;
    background-color: #EDE5D1;
    border: 2px solid rgb(187, 162, 130);
    border-radius: 50px;
    font-size: 2rem;
    text-transform: uppercase;
    letter-spacing: .1rem;
    margin-top: 30px;
    transition: .3s ease;
    transition-property: background-color, color;
}

.cta:hover {
    color: white;
    background-color: rgb(187, 162, 130);
}


/* Home Section */

#home {
    background: #141E30;
    background: linear-gradient(to left, #243B55, #141E30);
    font-family: 'Quicksand';
}

#home::after {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background-color: black;
    opacity: .7;
    z-index: -1;
}

#home .home {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 50px;
    justify-content: flex-start;
}

#home h1 {
    display: block;
    width: fit-content;
    font-size: 5.7rem;
    position: relative;
    color: transparent;
    animation: text_reveal .5s ease forwards;
    animation-delay: 1s;
}

#home h1:nth-child(1) {
    animation-delay: 1s;
}

#home h1:nth-child(2) {
    animation-delay: 2s;
}

#home h1:nth-child(3) {
    animation: text_reveal_name .5s ease forwards;
    animation-delay: 3s;
}

#home h1 span {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 0;
    background-color: rgb(187, 162, 130);
    animation: text_reveal_box 1s ease;
    animation-delay: .5s;
}

#home h1:nth-child(1) span {
    animation-delay: .5s;
}

#home h1:nth-child(2) span {
    animation-delay: 1.5s;
}

#home h1:nth-child(3) span {
    animation-delay: 2.5s;
}


/* End Home Section */


/* About Section */

#about {
    background-color: #FCF7F3;
}

#about .about {
    flex-direction: column-reverse;
    text-align: center;
    max-width: 1200px;
    margin: 0 auto;
    padding: 100px 20px;
    font-family: 'Inter';
    background-color: #FCF7F3;
}

#about .col-left {
    width: 250px;
    height: 360px;
}

#about .col-right {
    width: 100%;
}

.section-title {
    text-align: center;
    font-family: 'Quicksand';
}

#about .col-right h2 {
    font-size: 1.8rem;
    font-weight: 500;
    letter-spacing: .2rem;
    margin-bottom: 10px;
    margin-top: 20px;
    /* text-align: center; */
    font-family: 'Quicksand';
    color: rgb(187, 162, 130);
}

#about .col-right p {
    margin-bottom: 20px;
}

#about .col-left .about-img {
    height: 100%;
    width: 100%;
    position: relative;
    border: 10px solid #182338;
}


/* End About Section */


/* Pendidikan Section */

#pendidikan .pendidikan {
    flex-direction: column;
    text-align: center;
    max-width: 100%;
    margin: 0 auto;
    padding: 100px 0;
    background-color: #F1F1F1;
}

#pendidikan .pendidikan-top {
    max-width: 500px;
    margin: 0 auto;
}

#pendidikan .pendidikan-bottom {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 50px;
    width: 100%;
}

#pendidikan .pendidikan-item {
    /* flex-basis: 80%; */
    width: 300px;
    height: 300px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    padding: 30px;
    border-radius: 10px;
    background-size: cover;
    margin: 5px;
    position: relative;
    z-index: 1;
    overflow: hidden;
    background-image: linear-gradient(60deg, #bbab9f 0%, #b3b2b2 100%);
}

#pendidikan .pendidikan-bottom .icon {
    height: 80px;
    width: 80px;
    margin-bottom: 20px;
}

#pendidikan .pendidikan-item h2 {
    font-size: 2rem;
    color: white;
    margin-bottom: 10px;
    text-transform: uppercase;
    text-align: left;
}

#pendidikan .pendidikan-item p {
    color: white;
    text-align: left;
}


/* End Pendidikan Section */


/* Projects section */

#projects {
    background-color: #FCF7F3;
}

#projects .projects {
    flex-direction: column;
    max-width: 1200px;
    margin: 0 auto;
    padding: 100px 0;
}

#projects .projects-header h1 {
    margin-bottom: 50px;
}

#projects .all-projects {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

#projects .project-item {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 80%;
    margin: 20px auto;
    overflow: hidden;
    border-radius: 10px;
}

#projects .project-info {
    padding: 30px;
    flex-basis: 50%;
    height: 100%;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-direction: column;
    background-image: linear-gradient(60deg, #29323c 0%, #485563 100%);
    color: white;
}

#projects .project-info h1 {
    font-size: 4rem;
    font-weight: 500;
}

#projects .project-info h2 {
    font-size: 1.8rem;
    font-weight: 500;
    margin-top: 10px;
}

#projects .project-info p {
    color: white;
}

.projek {
    height: 100%;
    width: 60%;
    justify-content: center;
    object-fit: contain;
}

#projects .project-img {
    /* flex-basis: 50%; */
    width: auto;
    height: auto;
    overflow: hidden;
    position: relative;
    background-image: linear-gradient(60deg, #45515e 0%, #738394 100%);
    text-align: center;
}

#projects .project-img img {
    transition: .3s ease transform;
}

#projects .project-item:hover .project-img img {
    transform: scale(1.1);
}


/* End Projects section */


/* Experience Section */

#experience .experience {
    flex-direction: column;
    text-align: center;
    max-width: 100%;
    margin: 0 auto;
    padding: 100px 0;
    background-color: #FCF7F3;
}

#experience .experience-top {
    max-width: 500px;
    margin: 0 auto;
}

#experience .experience-bottom {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 50px;
}

#experience .experience-item {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 30px;
    border-radius: 10px;
    /* margin: 10px 5%; */
    position: relative;
    z-index: 1;
    overflow: hidden;
}

#experience .name {
    display: flex;
    flex-direction: column;
    margin-left: 30px;
    text-align: center;
}

#experience .experience-bottom .icon {
    height: 80px;
    width: 80px;
    margin-bottom: 20px;
}

#experience .experience-item h2 {
    font-size: 2rem;
    color: black;
    margin-bottom: 10px;
    text-transform: uppercase;
}

#experience .experience-item p {
    color: black;
    text-align: center;
}


/* End Experience Section */


/* Hobby Section */

#hobby .hobby {
    flex-direction: column;
    text-align: center;
    max-width: 100%;
    margin: 0 auto;
    padding: 100px 0;
    background-color: #FCF7F3;
}

#hobby .hobby-top {
    max-width: 500px;
    margin: 0 auto;
}

#hobby .hobby-bottom {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 50px;
}

#hobby .hobby-item {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 30px;
    border-radius: 10px;
    /* margin: 10px 5%; */
    position: relative;
    z-index: 1;
    overflow: hidden;
}

#hobby .name {
    display: flex;
    flex-direction: column;
    margin-left: 30px;
    text-align: center;
}

#hobby .hobby-bottom .icon {
    height: 80px;
    width: 80px;
    margin-bottom: 20px;
}

#hobby .hobby-item h2 {
    font-size: 2rem;
    color: rgb(160, 120, 68);
    margin-bottom: 10px;
    text-transform: uppercase;
}

#hobby .hobby-item p {
    color: black;
    text-align: center;
}


/* End Hobby Section */


/* Skill Section */

#skill .skill {
    flex-direction: column;
    justify-content: center;
    text-align: center;
    max-width: 100%;
    margin: 0 auto;
    padding: 100px 0;
    display: flex;
    background-color: #F1F1F1;
}

#skill .skill-top {
    max-width: 500px;
    margin: 0 auto;
}

#skill .skill-bottom {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 50px;
}

#skill .skill-item {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-direction: column;
    padding: 5px;
    margin: 10px 5%;
    position: relative;
}

#skill .skill-item p {
    font-size: 20px;
}

#skill .skill-bottom .icon {
    height: auto;
    width: 500px;
}


/* End Skill Section */


/* Footer */

#footer {
    background: linear-gradient(to left, #243B55, #141E30);
}

#footer .footer {
    min-height: 200px;
    flex-direction: column;
    padding-top: 50px;
    padding-bottom: 10px;
}

#footer h2 {
    color: white;
    font-weight: 500;
    font-size: 1.8rem;
    letter-spacing: .1rem;
    margin-top: 10px;
    margin-bottom: 10px;
}

#footer .social-icon {
    display: flex;
    margin-bottom: 30px;
}

#footer .social-item {
    height: 50px;
    width: 50px;
    margin: 0 5px;
}

#footer .social-item img {
    filter: grayscale(1);
    transition: .3s ease filter;
}

#footer .social-item:hover img {
    filter: grayscale(0);
}

#footer p {
    color: white;
    font-size: 1.3rem;
}


/* End Footer */


/* Keyframes */

@keyframes text_reveal_box {
    50% {
        width: 100%;
        left: 0;
    }
    100% {
        width: 0;
        left: 100%;
    }
}

@keyframes text_reveal {
    100% {
        color: white;
    }
}

@keyframes text_reveal_name {
    100% {
        color: rgb(187, 162, 130);
        font-weight: 10000;
    }
}


/* End Keyframes */


/* Media Query  */

@media only screen and (min-width: 768px) {
    .cta {
        /* font-size: 2.5rem; */
        padding: 10px 25px;
    }
    h1.section-title {
        font-size: 6rem;
    }
    /* Services Section */
    #services .service-bottom .service-item {
        flex-basis: 45%;
        margin: 2.5%;
    }
    /* End Services Section */
    /* Project */
    #projects .project-item {
        flex-direction: row;
    }
    #projects .project-item:nth-child(even) {
        flex-direction: row-reverse;
    }
    #projects .project-item {
        height: 400px;
        margin: 0;
        width: 100%;
        border-radius: 0;
    }
    #projects .all-projects .project-info {
        height: 100%;
    }
    #projects .all-projects .project-img {
        height: 100%;
    }
    #projects projek {
        height: 50%;
        width: 100%;
    }
    /* End Project */
    /* About */
    #about .about {
        flex-direction: row;
    }
    #about .col-right {
        text-align: left;
        padding: 30px;
    }
    #about .col-right h1 {
        text-align: left;
    }
    /* End About */
}


/* Media Query For Desktop */

@media only screen and (max-width: 576px) {
    .projek {
        height: 100%;
        width: 83%;
    }
}


/* PHONE */

@media (max-width: 575.98px) {
    #projects .all-projects .project-img {
        height: 100%;
        padding: 30px;
    }
    #skill .skill-item {
        width: 90vw;
    }
    #skill .skill-item .icon {
        width: 80vw;
    }
    #hobby .hobby-bottom {
        flex-direction: column;
    }
}